%global npm_name passport-http-bearer

Summary:       HTTP Bearer authentication strategy for Passport
Name:          nodejs-%{npm_name}
Version:       1.0.1
Release:       2%{?dist}
License:       MIT
URL:           https://github.com/jaredhanson/passport-http-bearer
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description

HTTP Bearer authentication strategy for Passport.

This module lets you authenticate HTTP requests using bearer 
tokens, as specified by RFC 6750, in your Node.js applications. 
Bearer tokens are typically used protect API endpoints, and are 
often issued using OAuth 2.0.

By plugging into Passport, bearer token support can be easily 
and unobtrusively integrated into any application or framework 
that supports Connect-style middleware, including Express.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr lib package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc README.md LICENSE
%{nodejs_sitelib}/%{npm_name}

%changelog
* Thu Sep 10 2015 Troy Dawson <tdawson@redhat.com>
- spec change: npmname -> npm_name

* Wed Sep 09 2015 Troy Dawson <tdawson@redhat.com> - 1.0.1-1
- Initial package
